SetActivLeaf("Mid");

fb={0,0,0,1,1,1,1,0}
CreatePolygon(901,4,"fb")

AddEmiter(901,"light_21_0",nil,nil,nil,true);
StartEmiter("light_21_0");
MoveEmiter("light_21_0",1024,160)

CreatePolygon(902,4,"fb")

AddEmiter(902,"dust_21_0",nil,nil,nil,true);
StartEmiter("dust_21_0");
MoveEmiter("dust_21_0",847,390)


addstaticobjecttogame(211,"bugs1",2000,0,"")
addstaticobjecttogame(212,"bugs1",2000,0,"")
addstaticobjecttogame(213,"bugs1",2000,0,"")
addstaticobjecttogame(214,"bugs1",2000,0,"")


for i=211,214,1 do
  ScaleObject(i,1,0.7)
end;
flySp = {"InstantiationOfLine", 2, 237,279, 282,241,7, true};
flySp2 = {"InstantiationOfLine", 2, 507,287, 420,237,9, true};
flySp3 = {"InstantiationOfLine", 2, 607,211, 731,229,11, true};
flySp4 = {"InstantiationOfLine", 2, 637,421, 598,391,9, true};
flySp1 = {"InstantiationOfLine", 2, 931,409, 2000,0, 0.0001, true};
StartTravel(211,2,nil,nil,flySp,flySp1);
StartTimer(7111,20)

StartTimer(7121,2)
StartTimer(7131,3)
StartTimer(7141,1)


add_animation(121,true)

add_animation_frame(121,"sr_anim",676,84,170,23,27,33,0.5);
add_animation_frame(121,"sr_anim",665,84,107,27,38,32,0.1);
add_animation_frame(121,"sr_anim",665,80,242,23,40,37,0.1);
add_animation_frame(121,"sr_anim",666,80,282,23,39,37,0.1);
add_animation_frame(121,"sr_anim",665,80,321,23,40,37,0.1);
add_animation_frame(121,"sr_anim",666,80,361,23,39,37,0.1);
add_animation_frame(121,"sr_anim",667,84,400,23,37,33,0.1);
--add_animation_frame(121,"sr_anim",676,84,170,23,27,33,2);
StartAnimation(121)      

add_animation(122,true)

add_animation_frame(122,"sr_anim",477,67,25,30,26,29,0.3);
add_animation_frame(122,"sr_anim",477,67,51,30,29,29,0.1);
add_animation_frame(122,"sr_anim",478,56,80,30,26,27,0.1);
add_animation_frame(122,"sr_anim",478,56,50,0,25,25,0.1);
add_animation_frame(122,"sr_anim",475,56,75,0,32,26,0.1);
add_animation_frame(122,"sr_anim",478,57,0,30,25,24,0.1);
add_animation_frame(122,"sr_anim",480,62,107,0,26,27,0.1);
add_animation_frame(122,"sr_anim",477,67,25,30,26,29,0.6);
StartAnimation(122)      

add_animation(123,true)
--add_animation_frame(123,"sr_anim",348,124,133,0,15,14,2);
add_animation_frame(123,"sr_anim",348,125,148,0,22,12,0.1);
add_animation_frame(123,"sr_anim",346,115,170,0,24,23,0.1);
add_animation_frame(123,"sr_anim",346,115,194,0,24,23,0.1);
add_animation_frame(123,"sr_anim",346,115,218,0,24,23,0.1);
add_animation_frame(123,"sr_anim",346,115,218,23,24,23,0.1);
add_animation_frame(123,"sr_anim",347,121,218,46,22,17,0.1);
add_animation_frame(123,"sr_anim",348,124,133,0,15,14,1);
StartAnimation(123)      

add_animation(120,true)
add_animation_frame(120,"sr_anim",601,121,0,0,25,30,2);
add_animation_frame(120,"sr_anim",601,121,25,0,25,30,1);
StartAnimation(120)      


addstaticobjecttogame(124,"sr_anim",513,210,"",437,23,119,201);
addstaticobjecttogame(125,"sr_anim",513,210,"",556,23,113,202);

addstaticobjecttogame(126,"sr_anim",289,209,"",669,23,176,185);
addstaticobjecttogame(127,"sr_anim",313,227,"",845,23,142,167);

mini_MidTaynik_17_0_table={934,495,975,495,975,563,934,563};
CreatePolygon(NewId("mini_MidTaynik_17_0"),4,"mini_MidTaynik_17_0_table");
--ShowPolygon(obj.mini_MidTaynik_17_0.id,true);

AddEmiter(obj.mini_MidTaynik_17_0.id,"Standart_17_5");
StartEmiter("Standart_17_5");

NewObj("otkrytyj_tajnik_s_chasami_17_0","BigTexture129",938,519,"",0,0,444,0,31,27);
mini_MidAngel_17_0_table={806,44,875,44,875,126,806,126};
CreatePolygon(NewId("mini_MidAngel_17_0"),4,"mini_MidAngel_17_0_table");
--ShowPolygon(obj.mini_MidAngel_17_0.id,true);
AddEmiter(obj.mini_MidAngel_17_0.id,"Standart_17_3");
StartEmiter("Standart_17_3");
NewObj("luk_17_0","BigTexture129",800,32,"",0,0,582,127,60,85);
speciale_action(10,obj.luk_17_0.id)
NewObj("strela_17_0","BigTexture129",794,41,"",0,0,484,128,74,65);
speciale_action(10,obj.strela_17_0.id)
NewObj("spu4eno_17_0","BigTexture129",800,41,"",0,0,698,135,23,68);
NewObj("yaschik_otkryt_17_0","BigTexture129",210,477,"",0,0,608,0,165,46);

door_KoridorBratyev_17_0_table={0,130,60,130,60,610,0,610};
CreatePolygon(NewId("door_KoridorBratyev_17_0"),4,"door_KoridorBratyev_17_0_table");
--ShowPolygon(obj.door_KoridorBratyev_17_0.id,true);

door_MidHidden_17_0_table={401,403,728,403,728,548,401,548};
CreatePolygon(NewId("door_MidHidden_17_0"),4,"door_MidHidden_17_0_table");
--ShowPolygon(obj.door_MidHidden_17_0.id,true);
AddEmiter(obj.door_MidHidden_17_0.id,"Hidden_17_1",true,nil,nil,true);
StartEmiter("Hidden_17_1");

mini_MidCyferblat_17_0_table={82,235,153,235,153,512,82,512};
CreatePolygon(NewId("mini_MidCyferblat_17_0"),4,"mini_MidCyferblat_17_0_table");
--ShowPolygon(obj.mini_MidCyferblat_17_0.id,true);
AddEmiter(obj.mini_MidCyferblat_17_0.id,"Standart_17_2");
StartEmiter("Standart_17_2");



mini_MidRuchka_17_0_table={212,380,383,380,383,525,212,525};
CreatePolygon(NewId("mini_MidRuchka_17_0"),4,"mini_MidRuchka_17_0_table");
--ShowPolygon(obj.mini_MidRuchka_17_0.id,true);
AddEmiter(obj.mini_MidRuchka_17_0.id,"Standart_17_4");
StartEmiter("Standart_17_4");

-- mini_MidPlafon_17_0_table={637,109,723,109,723,177,637,177};
-- CreatePolygon(NewId("mini_MidPlafon_17_0"),4,"mini_MidPlafon_17_0_table");
-- --ShowPolygon(obj.mini_MidPlafon_17_0.id,true);
-- AddEmiter(obj.mini_MidPlafon_17_0.id,"Standart_17_6");
-- StartEmiter("Standart_17_6");


NewObj("bg_17_0","bg_17_0",0,0,"");
ActivateObject(obj.bg_17_0.id,false);

